Package twisted :: Package protocols :: Module imap4 :: Class MessageProducer

[frames | no frames]

## Class MessageProducer

Method Summary
| ``__init__`(self, msg, buffer)` Produce this message.
| `_produce(self)`
| `beginProducing(self, consumer)`

Class Variable Summary
`int` | `CHUNK_SIZE` = 65536

Method Details

### __init__(self, msg, buffer=None)
(Constructor)

Produce this message.

  Parameters:
    `msg` - The message I am to produce.
    (type=`IMessage`)
    `buffer` - A buffer to hold the message in. If None, I will use a `tempfile.TemporaryFile`.
    (type=file-like)

Class Variable Details

### CHUNK_SIZE

  Type:
    `int`
  Value:

        65536

Generated by Epydoc 2.0 on Sat May 15 20:08:55 2004 | http://epydoc.sf.net